Subject: RE: restoration time requirement (was Re: Last Call on RSVP Label Allocation for Backup Tunnels)

From: Heiles Juergen <[email-masked]>
Date: Mon, 9 Apr 2001 09:52:20 +0200

Curtis

	>Then again, this is second hand, so I could be completely wrong. This is not a measurement I've made myself and the SONET equipment is not something I'm familiar with .... 

you are completely wrong and I suggest you better make measurments and get familiar with SONET before making such statements.. SONET/SDH equipment will not shut down/drop connections. Today SONET connections are permanent connections setup via the management system. An automatic drop of a conneciton as it is the case for switched connections will not occur. What you will see is the insertion of AIS (alarm indication signal) after the detection of an defect. But as soon as the defect is gone the AIS is removed and the connection is running again. AIS is nothing harmful as due to the defect the connection is interupted in any case. Furthermore the AIS avoids downstream alarms (alarm storms).

What could be of concern are the following points. I talk about a server layer for a SONET/SDH network  (e.g. an Optical Network) providing protection/restoration:

Stacked protection/restoration:
If you use protection/restoration at an optical network layer (server) and a SONET/SDH network layer (client) the server layer switching times should be faster than the client layer reaction times, so that the server layer does the protection/restoration and the client layer doesn't react.

Automatic power reduction/automatic laser shutdown APR/ALS
APR is used for safety reasons in order to avoid harmful emission of laser light in case of a fiber cut. One implementation switches off the transmit laser in case of loss of signal at the receiver. A restart action which is triggered automatically in intervals of several seconds is required in order to test if the link is repaired. Normally the APR function can be switched off if not needed. The APR function needs some careful consideration in case of protection/restoration and automatic connection setup in all optical networks.

Regards

Juergen

> -----Original Message-----
> From:	Curtis Villamizar [SMTP:[email-masked]]
> Sent:	Monday, April 09, 2001 4:37 AM
> To:	Lazer, Monica A, NNAD
> Cc:	[email-masked]'; [email-masked]; [email-masked]; [email-masked]
> Subject:	restoration time requirement (was Re: Last Call on RSVP Label Allocation for Backup Tunnels)
> 
> 
> In message <[email-masked]>, "L
> azer, Monica A, NNAD" writes:
> > Voice switches will drop the connections after 2.5 seconds. A large number
> > of dropped calls will cause FCC reportable events, which is something that
> > US carriers need to avoid. So restoration within this time frame is needed
> > for support of trunks carrying voice traffic.
> > 
> > Monica A. Lazer
> > Advanced Transport Technology and Architecture Planning
> > 
> > 908 234 8462
> > [email-masked]
> 
> 
> Monica,
> 
> We're off topic, so I changed the subject.
> 
> Thanks for providing the 2.5 second figure.
> 
> I've heard carrier transport people grumble about SONET equipment
> they'd be please to get rid of that will shut down even when used as
> linear SONET with no protect path and as a result would require
> <100msec restoration.  Since there is enough of this SONET gear, the
> carriers can't really get rid of it although it will probably
> disappear over time and so they will make fast restoration a
> requirement of people they buy from.  To be safe, the request for
> <50msec has been made.
> 
> If you are not blessed with such equipment or you are able to work
> around it when doing VoIP, then you are among the fortunate.
> 
> Then again, this is second hand, so I could be completely wrong.  This
> is not a measurement I've made myself and the SONET equipment is not
> something I'm familiar with such that I could say with confidence that
> it could not be configured to hold on longer or to not shut down at> 
> all if there was no protect.
>  
> OTOH there are those who (claim to) want to configure SONET on some
> links but not on others and don't want a fast restoration.  They want
> to be assured that restoration will occur only after it is safe to
> assume that SONET restoration is not available.
> 
> Curtis

---

From: Paul Bonenfant <[email-masked]>
Date: Mon, 09 Apr 2001 09:59:44 -0400

Jeurgen,

Can't resist (apologies to all for the long message)...

You wrote:
> If you use protection/restoration at an optical network layer 
> (server) and a SONET/SDH network layer (client) the server layer 
> switching times should be faster than the client layer reaction 
> times, so that the server layer does the protection/restoration 
> and the client layer doesn't react.
> 

But as you no doubt well know, by far all the installed legacy 
SONET/SDH kit (that the unfortunate carriers are yearning to get 
rid of, and which will disappear over time...sorry, I digress...) 
detects:
- LOS/LOF on the order of 2.3-100 microseconds (LOS for SONET, 
  thanks to Bellcore/Telcordia GR-253, unless it's been revised), 
or 
- 375 microseconds (LOF for SDH -- Maarten please correct me if 
  I'm wrong, I know you're out there).

So for the server (optical) layer switching time to be faster 
than the client (SONET/SDH) layer reaction time, the optical 
layer would have to restore well within, say, 1 millisecond.

And, in this context, "switching time" may include (depending 
upon the particular flavour of optical layer protection/restoration
implemented): detection-time + signaling-time (for 1+1 bidirectional
or shared protection, or restoration) + bridging&switching-time.
To do all that in less than 1 msec is a tall order for any layer.
  
Maybe I'm beating a long dead horse here, but this now aging
issue of "optical layer restoration occurring faster than the
SONET/SDH reaction time" keeps cropping up...for a shameless plug
thinly veiled as bit of history, see:
- J. Manchester and P. Bonenfant, "Fiber Optic Network Survivability: 
  SONET/Optical Protection Layer Interworking," Proc. of NFOEC'96, 
  Denver, CO, 1996.
(If interested, reply off-list to find out how to get a copy. I know,
referenced material should be posted as either an IETF draft or T1X1 
contribution to make it more readily available, sorry.)

Juergen, I agree that this is an issue of concern (albeit not new).
Potential solutions to the SONET/SDH-Optical protection layer inter-
working problem include:
- Do nothing (e.g., allow both the SONET/SDH & Optical & perhaps even
  other layers to react to the failure...not an attractive approach 
  unless chaos is an option)
- Implement appropriate holdoff time(s) in one or more of the layers 
  (again not attractive as it delays restoration if the failure 
  actually occurs at that layer...also, the holdoff times get 
  progressively longer in the higher layers)
- Inter-layer signaling (see, for example, ANSI T1X1.5/97-080, 
  "Protected Domain Boundary Delineation," June 1997:
  ftp://ftp.t1.org/pub/t1x1/x15.97/7x150800.pdf
  -- an elegant solution, but never gained any traction thanks to 
     the mess associated with inter-layer signaling) 
- Avoid direct overlay of survivability schemes with similar 
  restoration time-scales (tends to be what is done in practice)
- Coordinate protection layer interworking via a common control plane 
  across all the network layers (e.g., GMPLS?), as discussed briefly 
  (for example) in Sec 3.2.3 of:
  http://www.ietf.org/internet-drafts/draft-ghani-optical-rings-01.txt
(again for the reference-minded the above discussion can be found in 
"Optical Layer Protection and Restoration," OFC'2001 Short Course 
SC113/153, Mar. 2001, or "Tutorial on Optical Layer Protection and 
Restoration," Proc. of OFC'1999, Paper FF-1, Feb. 1999). 

As for the appropriate restoration time requirement...for what it's
worth, 50 msec, insofar as it remains an historical artifact, also
continues to be the "psychological" bar that optical netwoking 
protection & restoration schemes have to meet, if for no other 
reason than the following, prevailing view -- "the new & improved 
(optical networking) technology should provide at least as good, 
if not better, performance than what preceded it (SONET/SDH)."   

Psychological bars notwithstanding, what then is the appropriate 
restoration time requirement?  I for one would be interested in 
hearing from (even more) carriers regarding which latency-sensitive 
applications actually drive the 50msec-range protection/restoration 
requirements (my guess: it's not (only) voice).

Regards,

Paul

---

From: Maarten Vissers <[email-masked]>
Date: Mon, 09 Apr 2001 16:30:32 +0200

Paul,

"I am out there"... STM-LOS defect detection time in SDH isn't
specified. May take as long as e.g. 50 ms to detect the LOS defect. This
isn't important as you already indicate; LOF will do the job to trigger
protection switching. STM-LOF defect detection time is 3.625 ms (5
frames for OOF plus 24 frames for LOF). 

For the case of cable break, STM-LOF will not be reported, while STM-LOS
will be detected before the 2.5+/-0.5 seconds defect-to-failure
integration timer expires.

Regards,

Maarten

---

From: sambasiva mantha <[email-masked]>
Date: Mon, 09 Apr 2001 10:33:01 -0500

The following is the requirement for LOS on SONET as in GR-253-CORE, Issue 3.

    R6-54 [416v2] A SONET NE shall monitor all incoming SONET signals
    (before descrambling) for an “all-zeros patterns,” where an all-zeros
    pattern corresponds to no light pulses for OC-N optical interfaces
    and no voltage transitions for STS-1 and STS-3 electrical interfaces.
    An LOS defect shall be detected when an all-zeros pattern on the
    incoming SONET signal lasts 100 µs or longer. If an all-zeros pattern
    lasts 2.3 µs or less, an LOS defect shall not be detected.

The treatment of all-zeros patterns lasting between 2.3 µs and 100 µs for the
purpose of LOS defect detection is not specified and is therefore left to the choice
of the equipment designer. For testing conformance to the LOS detection
requirement, it is sufficient to apply an all-zeros pattern lasting at most 2.3 µs, and
to apply an all-zeros pattern lasting at least 100 µs.

Sambu

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 09 Apr 2001 13:46:14 -0400

In message <AFC76835727DD211A7C20008C71EAF1E01146047@MCHH230E>, Heiles Juergen 
writes:
> is not a measurement I've made myself and the SONET equipment is not somethin
> g I'm familiar with .... 
> 
> you are completely wrong and I suggest you better make measurments and get fa
> miliar with SONET before making such statements.. SONET/SDH equipment will no
> t shut down/drop connections. Today SONET connections are permanent connectio
> ns setup via the management system. An automatic drop of a conneciton as it i
> s the case for switched connections will not occur. What you will see is the 
> insertion of AIS (alarm indication signal) after the detection of an defect. 
> But as soon as the defect is gone the AIS is removed and the connection is ru
> nning again. AIS is nothing harmful as due to the defect the connection is in
> terupted in any case. Furthermore the AIS avoids downstream alarms (alarm sto
> rms).

There was a similar problem encounterred when sending a packet over a
POS link with the old short scrambling pattern in the body of the
packet.  My understanding was that there was a small chance that
alignment with the scrambler could take a SONET link out of service,
then take the protect out of service and manual intervention was
required to bring them back into service.  That is second hand too but
someone from an ISP stood up at an IETF meeting and claimed to have
tried it with spectacular (though not desireable) results and the
statement wasn't challenged (and I know the person and he is a
reliable source).  This statement was made in response to the
assertion that there was no need to change the scrambler pattern
length.

It was definitely not Siemen SONET gear (but you knew that) and AFAIK
it is not called for in the SONET specs but I've been told that some
other gear does exhibit this behaviour.  US carriers in particular
have lots of it which creates a requirement for MPLS restoration that
must be met for some but not all networks and applications.

My understanding is that this behavior is observed in a particular
implementation, the same one that had the problem with DoS attack
based on the short scrambler pattern.  This SONET gear could not be
configured to bring the segment back into service without intervention
which was key to making the DoS attack effective.  Note: The DoS
problem was solved by lengthenning the POS scrambler pattern to be
much longer than the MTU, requiring no change to the SONET gear.

In pointing out that this is second hand I am noting that it is
possible that the problematic implementation might have been upgraded
since these two problems have been encountered and could allow a
configuration option to change this behaviour.  AFAIK this is not the
case but I'd be pleased to hear that it has been corrected.  We can
continue this discussion offline if you like.

> What could be of concern are the following points. I talk about a server laye
> r for a SONET/SDH network  (e.g. an Optical Network) providing protection/res
> toration:
> 
> If you use protection/restoration at an optical network layer (server) and a 
> SONET/SDH network layer (client) the server layer switching times should be f
> aster than the client layer reaction times, so that the server layer does the
>  protection/restoration and the client layer doesn't react.

I'm aware of this and I mentioned it below.  See paragraph beginning
with OTOH below.

> APR is used for safety reasons in order to avoid harmful emission of laser li
> ght in case of a fiber cut. One implementation switches off the transmit lase
> r in case of loss of signal at the receiver. A restart action which is trigge
> red automatically in intervals of several seconds is required in order to tes
> t if the link is repaired. Normally the APR function can be switched off if n
> ot needed. The APR function needs some careful consideration in case of prote
> ction/restoration and automatic connection setup in all optical networks.

Thanks for the info.  I hadn't heard this.

Regards,

Curtis

---

From: Maarten Vissers <[email-masked]>
Date: Tue, 10 Apr 2001 09:38:43 +0200

Sambu,

Ever tried to detect an "all-zeroes pattern"? It's never present after a
receiver circuit. If you cut/remove a fiber the receiver circuit enters
maximum amplification and produces noice. The clock & data recovery
circuit behind it interpretes this noise as a random pattern of "0"s and
"1"s. Depending on the clock recovery technique, the recovered clock
frequency might be as low as a few hundred kHz (SAW filter based clock
recovery). Therefore alternative means are typically deployed to detect
loss of signal; e.g. power level monitoring, loss of lock monitoring,
loss of clock monitoring, ... 

Power level monitoring may have a negative side effect; i.e. it may
declare a LOS condition while there is still a valid input signal. As
the STM-N signal is framed, and framing is required in every SDH
equipment interface, loss of frame (LOF) can be used as deterministic
defect indicator for protection switching and alarm suppression (AIS
insertion). LOS isn't adding any real advantage; its most important
contribution is to the fault localisation (LOS: cable break or
transmitter fail). As such, there is no real requirement for microsecond
LOS defect detection in SDH.

--------- G.783 (10/2000) ------
6.2.1.1	Loss Of Signal defect (dLOS)

STM-N optical interfaces: This parameter should take on the value
"incoming signal absent" when the incoming power level at the receiver
has dropped to a level which corresponds to a high error condition. The
purpose of monitoring this parameter is to indicate either:
i)	transmitter failure;
ii)	optical path break.
NOTE - This is a functional specification referring only to the quality
of the incoming signal. It does not necessarily imply either the
measurement of optical power or BER. The timing requirements for
detection of the LOS defect in the province of regional standards. One
example is the following: An LOS defect occurs upon detection of no
transitions on the incoming signal (before descrambling) for time T,
where 2.3 <= T <= 100 us. The LOS defect is terminated after a time
period equal to the greater of 125 ms or 2.5 T' containing no
transition-free intervals of length T', where 2.3 <= T' <= 100 us.
----------------------------------

Regards,

Maarten

---

From: "dave o'leary" <[email-masked]>
Date: Fri, 13 Apr 2001 01:02:48 -0700

>requirements (my guess: it's not (only) voice).

While there is no strict requirement for IP (of course), a router
can spill a lot of packets on the floor (or into the conduit or whatever)
at 10's of millions of packets per second, so the faster the better,
at least as long as network stability is preserved.

                                         dave